package com.weiyoubot.client.feature.account.view

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import com.weiyoubot.client.R
import com.weiyoubot.client.base.fragment.BaseFragment
import com.weiyoubot.client.feature.account.PaymentConstant
import com.weiyoubot.client.feature.main.UserDataConstant
import com.weiyoubot.client.model.bean.userdata.Group
import kotlinx.android.synthetic.main.payment_fragment.*

/**
 * Created by root on 3/20/17.
 */
class PaymentFragment : BaseFragment() {

    override fun onCreateView(inflater: LayoutInflater, container: ViewGroup?, savedInstanceState: Bundle?): View? {
        return inflater.inflate(R.layout.payment_fragment, container, false)
    }

    override fun onViewCreated(view: View?, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)

        val permId = arguments.getInt(UserDataConstant.INTENT_KEY_PERM_ID, UserDataConstant.PERM_ULTIMATE)
        val groups = arguments.getParcelableArrayList<Group>(PaymentConstant.INTENT_KEY_GROUPS)
        val selectedGroups = arguments.getParcelableArrayList<Group>(PaymentConstant.INTENT_KEY_SELECTED_GROUPS)
        val type = arguments.getString(PaymentConstant.INTENT_KEY_PAYMENT_VIEW_TYPE)

        payment_perm_view.initView(permId, false, mutableListOf(), groups, selectedGroups)
        payment_perm_view.type = type
        payment_perm_view.start()
    }

    override fun onDestroyView() {
        super.onDestroyView()
        payment_perm_view.stop()
    }
}
