package com.weiyoubot.client.basekt.fragment

import android.view.View

import com.hannesdorfmann.mosby3.mvp.lce.MvpLceFragment
import com.hannesdorfmann.mosby3.mvp.lce.MvpLceView
import com.weiyoubot.client.R
import com.weiyoubot.client.basekt.BaseLcePresenter

abstract class BaseLceFragment<CV : View, M, V : MvpLceView<M>, P : BaseLcePresenter<M, V>> : MvpLceFragment<CV, M, V, P>() {

    override fun getErrorMessage(e: Throwable, pullToRefresh: Boolean): String {
        return getString(if (pullToRefresh) R.string.load_error else R.string.load_error_retry) + "\n" + e.message
    }
}