package com.weiyoubot.client.feature.account.view

import android.os.Bundle
import android.support.v7.widget.LinearLayoutManager
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import com.weiyoubot.client.R
import com.weiyoubot.client.basekt.fragment.BaseFragment
import com.weiyoubot.client.feature.account.adapter.AccountCouponAdapter
import com.weiyoubot.client.feature.main.UserDataConstant
import com.weiyoubot.client.feature.main.UserDataHelper
import kotlinx.android.synthetic.main.account_coupon_fragment.*

class AccountCouponFragment : BaseFragment() {
    override fun onCreateView(inflater: LayoutInflater, container: ViewGroup?, savedInstanceState: Bundle?): View? {
        return inflater.inflate(R.layout.account_coupon_fragment, container, false)
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)
        if (UserDataHelper.getAccountCoupon().size == 0) {
            empty.visibility = View.VISIBLE
            coupons.visibility = View.GONE
        } else {
            empty.visibility = View.GONE
            coupons.visibility = View.VISIBLE
            val adapter = AccountCouponAdapter()
            content.adapter = adapter
            content.layoutManager = LinearLayoutManager(context)
            adapter.swapData(UserDataHelper.getAccountCoupon())
            pay.setOnClickListener {
                UserDataHelper.startPayActivity(context, UserDataConstant.PERM_ULTIMATE, false, null, null)
            }
        }
    }
}