package com.weiyoubot.client.feature.main.content.complaint.view

import com.hannesdorfmann.mosby3.mvp.MvpView
import com.weiyoubot.client.model.bean.complaint.exit.ComplaintExit
import com.weiyoubot.client.model.bean.complaint.exit.Exit
import com.weiyoubot.client.model.bean.complaint.latest.ComplaintLatest
import com.weiyoubot.client.model.bean.complaint.latest.Latest
import com.weiyoubot.client.model.bean.complaint.suspect.ComplaintSuspect

/**
 * Created by root on 11/16/16.
 */
interface ComplaintMvpView : MvpView {
    fun updateComplaintSuspect(data: ComplaintSuspect)

    fun updateComplaintExit(data: ComplaintExit)

    fun updateComplaintLatest(data: ComplaintLatest)

    fun complaintSwitchChanged(on: Boolean)

    fun updateComplaintSwitchStatus(on: Boolean)

    fun exitComplaintSuccess(exit: Exit)

    fun exitRepealSuccess(exit: Exit)

    fun latestComplaintSuccess(latest: Latest)

    fun latestRepealSuccess(latest: Latest)
}
