package com.weiyoubot.client.model.apikt

/**
 * api请求参数key
 */
object ApiParamKeys {
    const val ACCOUNT = "ac"
    const val DEVICE_MODEL = "model"
    const val CHANNEL = "chn"
    const val OS_VERSION = "osv"
    const val RESOLUTION = "res"
    const val PLATFORM = "platform"
    const val PN = "pn"
    const val VN = "vn"
    const val VC = "vc"
    const val NETWORK = "nt"

    const val CODE = "code"
    const val NAME = "name"
    const val PHONE_NUM = "phoneNumber"
    const val PASSWORD = "password"
    const val FROM = "from"
    const val CHALLENGE = "challenge"
    const val VALIDATE = "validate"
    const val SECCODE = "seccode"
    const val FROM_VALUE_REGISTER = "register"
    const val FROM_VALUE_PASSWORD = "password"
    const val ACCESS_TOKEN = "access_token"
    const val PAGE = "page"
    const val ID = "id"
    const val WITHDRAW_ACCOUNT = "account"
    const val RID = "rid"
    const val RIDS = "rids"
    const val PIDS = "pids"
    const val TIME = "time"
    const val START_TIME = "startTime"
    const val END_TIME = "valendTime"
    const val STATUS_TYPE = "status_type"
    const val DESC = "desc"
    const val GID = "gid"
    const val GROUPS = "groups"
    const val GIDS = "gids"
    const val LEVEL = "level"
    const val DATE = "date"
    const val START = "start"
    const val END = "end"
    const val DAY = "day"
    const val USERNAMES = "usernames"
    const val USERNAME = "username"
    const val ENTRY = "entry"
    const val ENTRY_VALUE_INACTIVE = "inactive"
    const val ENTRY_VALUE_MEMBER = "member"
    const val STATUS = "status"
    const val PATH = "path"
    const val DATA = "data"
    const val TITLE = "title"
    const val TEXT = "text"
    const val MTYPE = "mtype"
    const val MTYPE_VALUE_TEXT = "text"
    const val MTYPE_VALUE_PIC = "pic"
    const val MTYPE_VALUE_APP_MSG = "appmsg"
    const val MTYPE_VALUE_APP_ATTACH = "attach"
    const val MTYPE_VALUE_VOICE = "voice"
    const val MTYPE_VALUE_CARD = "card"
    const val MID = "mid"
    const val MATE = "mate"
    const val MMID = "mmid"
    const val GGID = "ggid"
    const val AID = "aid"
    const val AIDS = "aids"
    const val DEFAULT_NTC = "default_ntc"
    const val NID = "nid"
    const val CID = "cid"
    const val TYPE = "type"
    const val LAST_TID = "last_tid"
    const val MSG_ID = "msg_id"
    const val TALK_ID = "talk_id"
    const val ORDER_ID = "order_id"
    const val PAY_TYPE = "pay_type"
    const val PAY_TYPE_VALUE_WX = "WXAPP"
    const val PAY_TYPE_VALUE_ALI = "ALIAPP"
    const val AUTO_TYPE = "auto_type"
    const val SYNC_GROUPING = "grouping"
    const val SYNC_TYPE = "sync_type"
    const val SYNC_MODE = "mode"
    const val SYNC_TYPE_VALUE_AUTO_REPLY = "auto_reply_"
    const val SYNC_TYPE_VALUE_TIMED_NOTICE = "timed_notice"
    const val SYNC_TYPE_VALUE_CHECK_IN = "checkin"
    const val SYNC_TYPE_VALUE_GTALK = "gtalk"
    const val SYNC_TYPE_VALUE_MORNING = "morning"
    const val SYNC_TYPE_VALUE_SMARTCHAT = "smartchat"
    const val OLD_GID = "oldGid"
    const val NEW_GID = "newGid"
    const val COUNT = "count"
    const val VERIFY_TEXT = "verify_text"
    const val UID = "uid"
    const val Q = "q"
    const val IDS = "ids"
}
