package com.weiyoubot.client.model.bean.massmessage

data class MassMessageFriendGrouping(
        var groupingNum: Int, // 组别，编号，需要转换成组一~组五
        var list: MutableList<MassMessageFriendInfo> = mutableListOf()
) {
    val groupingName: String
        get() {
            return when (groupingNum) {
                -1 -> "搜索结果"
                0 -> "组一"
                1 -> "组二"
                2 -> "组三"
                3 -> "组四"
                4 -> "组五"
                5 -> "组六"
                else -> "未知"
            }
        }
}