package com.weiyoubot.client.model.bean.massmessage

import com.weiyoubot.client.R
import com.weiyoubot.client.common.utils.Utils

import android.text.TextUtils

/**
 * Created by root on 6/27/17.
 */
data class MassMessageGroupInfo(
        var ggid: String,
        var gid: String,
        var name: String,
        var status: Int // 代表是否选中，或发送状态
) {
    /**
     * 群名称为空时显示未命名
     *
     * @return
     */
    val groupName: String
        get() = if (TextUtils.isEmpty(name)) Utils.getString(R.string.empty_group_name) else name
}
