package com.weiyoubot.client.model.bean.member.inviter

import java.util.*

/**
 * Created by root on 11/7/16.
 */
data class Inviter(
        var inviter: String = "",
        var invitee_num: Int = 0,
        var keep_num: Int = 0,
        var invitee_nickname: Array<String> = arrayOf(),
        var keep_nickname: Array<String> = arrayOf()
) {
    override fun equals(other: Any?): Boolean {
        if (this === other) return true
        if (javaClass != other?.javaClass) return false

        other as Inviter

        if (inviter != other.inviter) return false
        if (invitee_num != other.invitee_num) return false
        if (keep_num != other.keep_num) return false
        if (!Arrays.equals(invitee_nickname, other.invitee_nickname)) return false
        if (!Arrays.equals(keep_nickname, other.keep_nickname)) return false

        return true
    }

    override fun hashCode(): Int {
        var result = inviter.hashCode()
        result = 31 * result + invitee_num
        result = 31 * result + keep_num
        result = 31 * result + Arrays.hashCode(invitee_nickname)
        result = 31 * result + Arrays.hashCode(keep_nickname)
        return result
    }
}
