package com.weiyoubot.client.model.bean.statistics.all

import com.weiyoubot.client.model.bean.StatusResult
import com.weiyoubot.client.model.bean.statistics.Keyword
import com.weiyoubot.client.model.bean.statistics.Overview

/**
 * Created by root on 10/18/16.
 */
data class StatisticsAll(
        val gid: String,// 群id
        val name: String, // 群名称
        val health: Health, // 健康度相关信息
        val overview: Overview, // 预览信息
        val keywords: List<Keyword>, // 关键词列表
        val message: Message, // 消息统计
        val user: User, // 用户相关数据
        val activeTime: ActiveTime // 活跃时段
) : StatusResult()
